HFlatMatte

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HFlatMatte

    java.lang.Object
      org.havi.ui.HFlatMatte

All Implemented Interfaces:
  HMatte

    public class HFlatMatte

extends Object
implements HMatte

The `HFlatMatte` class represents a matte that is constant over space and time. It is specified as a floating point value in the range 0.0 to 1.0 where:

- 0.0 is fully transparent
- values between 0.0 and 1.0 are partially transparent to the nearest supported transparency value.
- 1.0 is fully opaque

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
data | The transparency value for this flat effect matte. | 1.0 | `setMatteData` | `getMatteData`

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

Constructor Summary
`HFlatMatte()` Creates an `HFlatMatte` object.
`HFlatMatte(float data)` Creates an `HFlatMatte` object.

Method Summary
`float` | `getMatteData()` Returns the data used for this matte.
`void` | `setMatteData(float data)` Sets the data for this matte.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HFlatMatte

    public HFlatMatte()

  Creates an `HFlatMatte` object. See the class description for details of constructor parameters and default values.

### HFlatMatte

    public HFlatMatte(float data)

  Creates an `HFlatMatte` object. See the class description for details of constructor parameters and default values.

Method Detail

### setMatteData

    public void setMatteData(float data)

  Sets the data for this matte. Any previously set data is replaced.

  Parameters:
    `data` - the data for this matte.

### getMatteData

    public float getMatteData()

  Returns the data used for this matte.

  Returns:
    the data used for this matte (a single number).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD